/*
	**
	** packet-headers.h
	**
	** Structures describing network packet headers
	**
	** Copyright 1998 Damien Miller <dmiller@ilogic.com.au>
	**
	** This software is licensed under the terms of the GNU General 
	** Public License (GPL). Please see the file COPYING for details.
	** 
	** $Id: packet-headers.h,v 1.1 1998/12/06 07:02:16 dmiller Exp $
	**
 */

#ifndef _PACKET_HEADERS_H
#define _PACKET_HEADERS_H

#include "sys/types.h"

#define FDDIFC_CLFF			0xF0	/* FDDI frame control mask */
#define FDDIFC_LLC_ASYNC	0x50	/* FDDI LLC frame type */

struct fddi_hdr
{
	u_char frame_control;
	u_char dest[6];
	u_char source[6];
};

/* Taken from Karpski */
struct frame_802        /* Structure of an 802.3/802.2 frame */
{
	u_char daddr[6];     /* Dest mac */
	u_char saddr[6];     /* Src mac */
	u_short type;        /* Ethernet-II type (rfc 1700) */
	u_char dsap;         /* Dest. SAP */
	u_char ssap;         /* Src SAP */
	u_char cntrl;        /* Control number */
	u_char vendorid[3];  /* Vendor ID - usually same as src mac's vendor */
	u_short type2;       /* 802.3/802.2 type location */
};

#endif
